CLS
ECHO OFF
REM **********************************************************************
REM
REM  *** BATCH FILE PROGRAM TO INSTALL TENKEYer (TM) ON A HARD DISK. ***
REM
REM       Copyright (C) 1990 by Paul Farseth.  All rights reserved.
REM
REM **********************************************************************
ECHO 
ECHO 
ECHO 
ECHO 
ECHO 
ECHO              Beginning to install TENKEYer (TM) on hard disk.
ECHO 
ECHO 
REM   * Check for valid location of source disk.
REM
IF NOT EXIST %1INSTAL10.BAT GOTO NOSOURCE
REM
REM   * Check for missing target disk parm.
REM
IF ARG == ARG%2 GOTO NOPARM2
REM
REM   * Log to target disk.
%2
REM
REM   * Look for missing third parm.
REM 
IF ARG == ARG%3 GOTO CONTINU2
REM
REM   * Write error screen if target directory is populated.
REM
IF EXIST %3\*.* GOTO CONFLICT
IF EXIST \%3\*.* GOTO CONFLICT
GOTO CONTINUE
:CONFLICT
CLS
ECHO 
ECHO 
ECHO       WARNING!  TARGET DIRECTORY ALREADY EXISTS AND CONTAINS FILES.
ECHO       -------
ECHO 
ECHO       Installing TENKEYer in the directory you chose may cause
ECHO       permanent erasure and loss of existing files.  
ECHO 
ECHO       To stop processing so as to name a new or empty directory,
ECHO       HIT <CTRL><C>   (That is, hold down the <CTRL> key and at
ECHO       the same time hit the <C> key.)
ECHO 
ECHO       Otherwise, 
ECHO 
PAUSE
:CONTINUE
ECHO     USER-CHOSEN TARGET DIRECTORY WAS NAMED.
REM
REM   * Create user-specified target directory and copy files into it.
REM
MD %2%3
CD %2%3
COPY %1*.*
ECHO 
ECHO 
ECHO     FILES SUCCESSFULLY INSTALLED IN USER-CHOSEN DIRECTORY.
GOTO END
:CONTINU2
REM   
REM   * Write error screen if default target directory is populated.  
REM
IF EXIST \TENKEYER\*.* GOTO CONFLIC2
GOTO CONTINU3
:CONFLIC2
CLS
ECHO 
ECHO 
ECHO  WARNING!  TARGET DIRECTORY   \TENKEYER   ALREADY EXISTS AND CONTAINS FILES.
ECHO  -------
ECHO 
ECHO       Installing TENKEYer in your   \TENKEYER   directory 
ECHO       MAY CAUSE PERMANENT ERASURE AND LOSS OF EXISTING FILES.  
ECHO 
ECHO       TO STOP PROCESSING SO AS TO NAME A NEW OR EMPTY DIRECTORY,
ECHO       HIT <CTRL><C>   (That is, hold down the <CTRL> key and at
ECHO       the same time hit the <C> key.)
ECHO 
ECHO       Otherwise, 
ECHO 
PAUSE
:CONTINU3
REM
REM   * Create default target directory and copy files into it.
REM
MKDIR %2\TENKEYER
CD %2\TENKEYER
COPY %1*.* 
ECHO 
ECHO      FILES SUCCESSFULLY INSTALLED IN  \TENKEYER\  DIRECTORY.
GOTO END
:NOSOURCE
CLS
TYPE 
ECHO 
ECHO     TENKEYer SOURCE FILES NOT FOUND.  PLEASE START OVER.
ECHO 
ECHO     Format should be:
ECHO                        x:INSTAL10 x: y: [ \directory ]
ECHO 
ECHO     Where  x:  is the drive where your TENKEYer source disk is loaded.
ECHO            y:  is the hard disk where you want TENKEYer to go.
ECHO 
ECHO            \directory   is the name of the directory you want TENKEYer in.
ECHO 
ECHO     If you omit   \directory    TENKEYer will go in a new directory
ECHO       called   \TENKEYER  .
ECHO 
ECHO     If you type a value for   \directory   don't type the brackets [ ];
ECHO       they just indicate that  \directory   is optional.
ECHO 
PAUSE
GOTO END
:NOPARM2
CLS
TYPE 
ECHO 
ECHO     TENKEYer TARGET DRIVE NOT NAMED.  PLEASE START OVER.
ECHO 
ECHO     Format should be:
ECHO                        x:INSTAL10 x: y: [ \directory ]
ECHO 
ECHO     Where  x:  is the drive where your TENKEYer source disk is loaded.
ECHO            y:  is the hard disk where you want TENKEYer to go.
ECHO 
ECHO            \directory   is the name of the directory you want TENKEYer in.
ECHO 
ECHO     If you omit   \directory    TENKEYer will go in a new directory
ECHO       called   \TENKEYER   .
ECHO 
ECHO     If you type a value for   \directory    don't type the brackets [ ];
ECHO       they just indicate that  \directory    is optional.
ECHO 
PAUSE
GOTO END
:END
PAUSE